@echo off
cd /d %~dp0

setlocal EnableDelayedExpansion

set "vc2008=%~dp0vcredist_x86_2008.exe"
set "vc2010=%~dp0vcredist_x86-2010.exe"
set "vc2013=%~dp0vcredist_x86-2013.exe"
set "vc2015=%~dp0vcredist.x86-2015-2022.exe"

echo Checking if Microsoft Visual C++ 2008 Redistributable is already installed...
reg query "HKLM\SOFTWARE\Microsoft\VisualStudio\9.0\VC\VCRedist\x86" >NUL 2>&1 && (
    echo Microsoft Visual C++ 2008 Redistributable is already installed, skipping...
) || (
    echo Installing Microsoft Visual C++ 2008 Redistributable...
    start /wait "" "%vc2008%" /q /norestart
)

echo Checking if Microsoft Visual C++ 2010 Redistributable is already installed...
reg query "HKLM\SOFTWARE\Microsoft\VisualStudio\10.0\VC\VCRedist\x86" >NUL 2>&1 && (
    echo Microsoft Visual C++ 2010 Redistributable is already installed, skipping...
) || (
    echo Installing Microsoft Visual C++ 2010 Redistributable...
    start /wait "" "%vc2010%" /q /norestart
)

echo Checking if Microsoft Visual C++ 2013 Redistributable is already installed...
reg query "HKLM\SOFTWARE\Microsoft\VisualStudio\12.0\VC\VCRedist\x86" >NUL 2>&1 && (
    echo Microsoft Visual C++ 2013 Redistributable is already installed, skipping...
) || (
    echo Installing Microsoft Visual C++ 2013 Redistributable...
    start /wait "" "%vc2013%" /install /quiet /norestart
)

echo Checking if Microsoft Visual C++ 2015-2022 Redistributable is already installed...
reg query "HKLM\SOFTWARE\Microsoft\VisualStudio\14.0\VC\Runtimes\x86" >NUL 2>&1 && (
    echo Microsoft Visual C++ 2015-2022 Redistributable is already installed, skipping...
) || (
    echo Installing Microsoft Visual C++ 2015-2022 Redistributable...
    start /wait "" "%vc2015%" /install /quiet /norestart
    start /wait "" "%vc2017%" /install /quiet /norestart
    start /wait "" "%vc2019%" /install /quiet /norestart
    start /wait "" "%vc2022%" /install /quiet /norestart
)

echo Installation completed.
pause
